ros-noetic-cob-phidgets (0.7.12-1focal) focal; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Mon, 14 Mar 2022 23:00:00 -0000

ros-noetic-cob-phidgets (0.7.11-1focal) focal; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Tue, 11 Jan 2022 23:00:00 -0000

ros-noetic-cob-phidgets (0.7.10-1focal) focal; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Wed, 22 Dec 2021 23:00:00 -0000

ros-noetic-cob-phidgets (0.7.9-1focal) focal; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Thu, 25 Nov 2021 23:00:00 -0000

ros-noetic-cob-phidgets (0.7.8-1focal) focal; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Mon, 18 Oct 2021 22:00:00 -0000

ros-noetic-cob-phidgets (0.7.7-1focal) focal; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Sun, 01 Aug 2021 22:00:00 -0000

ros-noetic-cob-phidgets (0.7.6-1focal) focal; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Sun, 09 May 2021 22:00:00 -0000

ros-noetic-cob-phidgets (0.7.5-1focal) focal; urgency=high

  * Merge pull request #418 <https://github.com/ipa320/cob_driver/issues/418> from fmessmer/fix_catkin_lint
    fix catkin_lint
  * fix catkin_lint
  * Contributors: Felix Messmer, fmessmer

 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Mon, 05 Apr 2021 22:00:00 -0000

ros-noetic-cob-phidgets (0.7.4-1focal) focal; urgency=high

  * Merge pull request #417 <https://github.com/ipa320/cob_driver/issues/417> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Tue, 13 Oct 2020 22:00:00 -0000

ros-noetic-cob-phidgets (0.7.3-1focal) focal; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-noetic-cob-phidgets (0.7.2-1focal) focal; urgency=high

  * Merge pull request #408 <https://github.com/ipa320/cob_driver/issues/408> from fmessmer/ci_updates
    [travis] ci updates
  * catkin_lint fixes
  * Contributors: Felix Messmer, fmessmer

 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-noetic-cob-phidgets (0.7.1-1focal) focal; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Wed, 06 Nov 2019 23:00:00 -0000

ros-noetic-cob-phidgets (0.7.0-1focal) focal; urgency=high

  * Merge pull request #396 <https://github.com/ipa320/cob_driver/issues/396> from HannesBachter/indigo_dev
    0.6.15
  * Contributors: Felix Messmer

 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Mon, 05 Aug 2019 22:00:00 -0000

ros-noetic-cob-phidgets (0.6.15-1focal) focal; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Tue, 16 Jul 2019 22:00:00 -0000

ros-noetic-cob-phidgets (0.6.14-1focal) focal; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Thu, 06 Jun 2019 22:00:00 -0000

ros-noetic-cob-phidgets (0.6.13-1focal) focal; urgency=high

  * Merge pull request #386 <https://github.com/ipa320/cob_driver/issues/386> from benmaidel/fix/check_sensor_value
    [cob_phidgets] srv callback check if digital sensor is already at desired state
  * fix indentation
  * on srv callback check if digital sensor is already at desired state
  * Contributors: Benjamin Maidel, Felix Messmer, fmessmer

 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Wed, 13 Mar 2019 23:00:00 -0000

ros-noetic-cob-phidgets (0.6.12-1focal) focal; urgency=high

  * update maintainer
  * Contributors: fmessmer

 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Fri, 20 Jul 2018 22:00:00 -0000

ros-noetic-cob-phidgets (0.6.11-1focal) focal; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #341 <https://github.com/ipa320/cob_driver/issues/341> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-noetic-cob-phidgets (0.6.10-1focal) focal; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Sun, 23 Jul 2017 22:00:00 -0000

ros-noetic-cob-phidgets (0.6.9-1focal) focal; urgency=high

  * use usleep
  * manually fix changelog
  * Contributors: ipa-fxm

 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-noetic-cob-phidgets (0.6.8-1focal) focal; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-noetic-cob-phidgets (0.6.7-1focal) focal; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Fri, 01 Apr 2016 22:00:00 -0000

ros-noetic-cob-phidgets (0.6.6-1focal) focal; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-noetic-cob-phidgets (0.6.5-1focal) focal; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-noetic-cob-phidgets (0.6.4-1focal) focal; urgency=high

  * do not install headers in executable-only packages
  * explicit dependency to boost
  * remove obsolete autogenerated mainpage.dox files
  * remove trailing whitespaces
  * add_dependencies EXPORTED_TARGETS
  * migrate to package format 2
  * sort dependencies
  * critically review dependencies
  * Contributors: ipa-fxm

 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-noetic-cob-phidgets (0.6.3-1focal) focal; urgency=high

  * catkin_lint'ing
  * Contributors: Florian Weisshardt

 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-noetic-cob-phidgets (0.6.2-1focal) focal; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Sun, 14 Dec 2014 23:00:00 -0000

ros-noetic-cob-phidgets (0.6.1-1focal) focal; urgency=high

  * Fixes the weird Jenkins release problem
  * Contributors: thiagodefreitas

 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Tue, 16 Sep 2014 22:00:00 -0000

ros-noetic-cob-phidgets (0.6.0-1focal) focal; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Mon, 08 Sep 2014 22:00:00 -0000

ros-noetic-cob-phidgets (0.5.7-1focal) focal; urgency=high

  * Merge pull request #163 <https://github.com/ipa320/cob_driver/issues/163> from ipa320/hydro_dev
    updates from hydro_dev
  * 0.5.6
  * update changelog
  * merge
  * fix CMakeLists.txt
  * small changes to remove warnings
  * Cleaned up cob_driver with reduced deps to compile on indigo
  * fix install tag
  * Merge pull request #136 <https://github.com/ipa320/cob_driver/issues/136> from ipa-fmw/hydro_dev
    change maintainer and add missing dependency
  * Update package.xml
  * fix
  * use board_name instead serial_num in debug outputs
  * CMakeLists include_dirs order
  * renaming topic name
  * voltage info from phidgets
  * message generation dependencies
  * catkin dependencies
  * message generation
  * added c++11 support to phidgets CMakeLists
  * added phidgets to CMakelists
  * fix cob_phidget release pipeline error
  * Fixes the Jenkins Release Error
  * Contributors: Alexander Bubeck, Florian Weisshardt, Nadia Hammoudeh García, Thiago de Freitas Oliveira Araujo, Your full name, ipa-bnm

 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Mon, 25 Aug 2014 22:00:00 -0000

ros-noetic-cob-phidgets (0.5.6-1focal) focal; urgency=high

  * Merge pull request #163 <https://github.com/ipa320/cob_driver/issues/163> from ipa320/hydro_dev
    updates from hydro_dev
  * merge
  * fix CMakeLists.txt
  * small changes to remove warnings
  * Cleaned up cob_driver with reduced deps to compile on indigo
  * fix install tag
  * Merge pull request #136 <https://github.com/ipa320/cob_driver/issues/136> from ipa-fmw/hydro_dev
    change maintainer and add missing dependency
  * Update package.xml
  * fix
  * use board_name instead serial_num in debug outputs
  * CMakeLists include_dirs order
  * renaming topic name
  * voltage info from phidgets
  * message generation dependencies
  * catkin dependencies
  * message generation
  * added c++11 support to phidgets CMakeLists
  * added phidgets to CMakelists
  * fix cob_phidget release pipeline error
  * Fixes the Jenkins Release Error
  * Contributors: Alexander Bubeck, Florian Weisshardt, Nadia Hammoudeh García, Thiago de Freitas Oliveira Araujo, Your full name, ipa-bnm

 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Mon, 25 Aug 2014 22:00:00 -0000

ros-noetic-cob-phidgets (0.5.3-1focal) focal; urgency=high

  * install tags
  * Contributors: ipa-fxm

 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Sun, 30 Mar 2014 22:00:00 -0000

ros-noetic-cob-phidgets (0.5.2-1focal) focal; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Wed, 19 Mar 2014 23:00:00 -0000

ros-noetic-cob-phidgets (0.5.1-1focal) focal; urgency=high

  * use local namespace
  * remove launch and yaml configuration. this should be either in cob_robots or on the ROS wiki page
  * removed some debug outputs
  * fixed crash due to non existing phidget configuration for an attached board
  * modified phidget config
  * changed template config
  * added topic to set digital outputs
  * fixed include error
  * debug infos
  * example config changed
  * changed service message description from index to uri
  * fix include path for libphidgets
  * added license headers
  * bugfix
  * moved services to boards individual namespace
  * removed unused files
  * cleaned up code
  * new phidget config structure
  * params reading fix
  * implemented new sensor message layout
  * added launch file
  * publish on root namespace for all attached boards
  * phidget config yaml prototype
  * exposed settings to yaml param file
  * exposed settings to yaml param file
  * new message format + POLLING and EVENT based mode
  * changed namespaces
  * cleanup
  * threading and memory-leak fixes
  * correction for gcc4.6
  * gcc 4.6 corrections
  * new phidget driver
  * testing
  * fix
  * flush input buffer
  * renaming phidget labels
  * changes
  * display device name in list
  * added phidget device name setter
  * Installation stuff
  * cleaned up CMakeLists and added install directives
  * further modifications for catkin, now everything is compiling and linking
  * compiling but still some linker errors
  * Second catkinization push
  * First catkinization, still need to update some CMakeLists.txt
  * eliminate global variable and fix indentation
  * delete launch file, should be in cob_robots
  * tray: fix
  * tray: outputting correct range msgs + configurable
  * renamed cob_tray_sensors to cob_phidgets and removed tray occupied check, now only publishing raw data
  * Contributors: Alexander Bubeck, Joshua Hampp, abubeck, ipa-bnm, ipa-fmw, ipa-nhg

 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Wed, 19 Mar 2014 23:00:00 -0000


